Bug 969834 - Unrecognized trackpad with Kernel-3.11.9-300.fc20 on DELL XPSM1530 [NEEDINFO]
Unrecognized trackpad with Kernel-3.11.9-300.fc20 on DELL XPSM1530
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 11:39 EDT by Frederic LIETART
Modified: 2014-06-23 10:49 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:49:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
systemd (353.43 KB, text/plain)
2013-06-02 11:49 EDT, Frederic LIETART
no flags Details
Xorg-After Update (32.12 KB, text/plain)
2013-06-02 11:53 EDT, Frederic LIETART
no flags Details
Xorg-Before Update (34.25 KB, text/plain)
2013-06-02 11:56 EDT, Frederic LIETART
no flags Details
devices.pre (2.43 KB, text/plain)
2013-08-22 06:34 EDT, Markas Rapoportas
no flags Details
devices.post (2.68 KB, text/plain)
2013-08-22 06:36 EDT, Markas Rapoportas
no flags Details
dmesg.pre (63.83 KB, text/plain)
2013-08-22 06:36 EDT, Markas Rapoportas
no flags Details
dmesg.post (69.59 KB, text/plain)
2013-08-22 06:37 EDT, Markas Rapoportas
no flags Details
Xorg.0.log.pre (28.13 KB, text/plain)
2013-08-22 06:38 EDT, Markas Rapoportas
no flags Details
Xorg.0.log.post (33.09 KB, text/plain)
2013-08-22 06:41 EDT, Markas Rapoportas
no flags Details
udevadminfo.pre.event5 (477 bytes, text/plain)
2013-08-22 06:43 EDT, Markas Rapoportas
no flags Details
udevadminfo.post.event5 (483 bytes, text/plain)
2013-08-22 06:44 EDT, Markas Rapoportas
no flags Details
udevadminfo.post.event10 (490 bytes, text/plain)
2013-08-22 06:44 EDT, Markas Rapoportas
no flags Details
Xorg.0.log.event5synapticspair (27.89 KB, text/plain)
2013-08-22 06:45 EDT, Markas Rapoportas
no flags Details
Xorg.0.log.post.event10ignored (30.84 KB, text/plain)
2013-08-22 06:46 EDT, Markas Rapoportas
no flags Details
3.11.1-200.fc19.x86_64.tar.gz (53.73 KB, application/x-gzip)
2013-09-20 14:37 EDT, Markas Rapoportas
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 59251 None None None Never

  None (edit)
Description Frederic LIETART 2013-06-02 11:39:38 EDT
Description of problem:
The trackpad is not recognized after updates to the kernel version 3.9.4-200.fc18.x86_64. I could get the same problem in Fedora 19 and the latest kernel... I'm on a Dell XPS M1530. 


Version-Release number of selected component (if applicable):
Kernel-3.9.4-200.fc18.x86_64

How reproducible:


Steps to Reproduce:
1. Update system or kernel-3.9.4-200.fc18.x86_64
2. Reboot
3. Trackpad unrecognized

Actual results:


Expected results:


Additional info:
Comment 1 Frederic LIETART 2013-06-02 11:49:22 EDT
Created attachment 755987 [details]
systemd
Comment 2 Frederic LIETART 2013-06-02 11:53:41 EDT
Created attachment 755990 [details]
Xorg-After Update

Xorg-After Update
Comment 3 Frederic LIETART 2013-06-02 11:56:19 EDT
Created attachment 755992 [details]
Xorg-Before Update

Xorg-Before Update
Comment 4 Frederic LIETART 2013-06-03 09:56:38 EDT
Works with the kernel kernel-3.8.11-200.fc18.x86_64 and earlier. Does not work from the 3.9 branch, tested with the following versions: 
- kernel-3.9.2-200.fc18
- kernel-3.9.4-200.fc18
- kernel-3.9.4-300.fc19

Tell me if you need more information, I am available ;)
Comment 5 Frederic LIETART 2013-06-03 10:41:32 EDT
I feel that it corresponds with the removal of the patch :
http://pkgs.fedoraproject.org/cgit/kernel.git/commit/?h=f18&id=2123b28761b086bc0be17395cb8ec43cec461e90 and the introduction of "CONFIG_MOUSE_PS2_CYPRESS" in the kernel ?
Comment 6 Frederic LIETART 2013-06-03 15:53:07 EDT
I'm going crazy, I close the lid of my laptop to put it in hibernation and then open the touchpad works! How would someone help me debug this ?
Comment 7 Frederic LIETART 2013-07-02 12:59:39 EDT
Hi,

Same problem in Fedora 19 : kernel-3.9.5-301.fc19
Comment 8 Markas Rapoportas 2013-08-22 06:32:15 EDT
I might be seeing the same bug on my Dell XPS M1530. Before Fedora 19 I
was using version 16, where my touchpad was working well. Since migrating
I have been having an issue where synaptics refuses to work [10]. By
default Xorg hands the device to evdev [1, 3, 5, 7], which lets me do few
things with the touchpad, namely move the cursor, and use the left and
right buttons next to the touchpad. There is no scrolling, which is the
main reason I am here. There is a twist: after a round of suspend-resume,
a completely new device surfaces [2, 4, 6, 8, 9]. With stock configuration
files this device is handed to synaptics, and I get access to all its
benefits. While this is exactly what I want, there is something odd about
the post-resume state. Note how the new device appears alongside the
original one [2], and how both are paired with Xorg input drivers [6]. It
seems the initial device is no longer active, which is supported by the
finding that, when Xorg is configured to ignore the second device, there
is no mouse functionality at all, even though Xorg might suggest otherwise
[11].

kernel 3.10.7-200.fc19.x86_64
Xorg 1.14.2-9
evdev 2.8.1-2
synaptics 1.7.1-4

[1] devices.pre
[2] devices.post
[3] dmesg.pre
[4] dmesg.post
[5] Xorg.0.log.pre
[6] Xorg.0.log.post
[7] udevadminfo.pre.event5
[8] udevadminfo.post.event5
[9] udevadminfo.post.event10
[10] Xorg.0.log.event5synapticspair
[11] Xorg.0.log.post.event10ignored

A few comments concerning references. [1] and [2] are the contents of
/proc/bus/input/devices, while [7], [8], and [9] are each the output from
one of the following command lines:
udevadm info --query=all --name=/dev/input/event5
udevadm info --query=all --name=/dev/input/event10
The "pre" and "post" tags qualify whether a particular item was sourced
before or after a round of suspend-resume, respectively. Other than [10]
and [11], everything was gathered in one session, so it it possible to use
diff, for example, for [1] and [2], [3] and [4], [5] and [6], [7] and [8].
Comment 9 Markas Rapoportas 2013-08-22 06:34:56 EDT
Created attachment 789124 [details]
devices.pre
Comment 10 Markas Rapoportas 2013-08-22 06:36:16 EDT
Created attachment 789125 [details]
devices.post
Comment 11 Markas Rapoportas 2013-08-22 06:36:50 EDT
Created attachment 789126 [details]
dmesg.pre
Comment 12 Markas Rapoportas 2013-08-22 06:37:27 EDT
Created attachment 789127 [details]
dmesg.post
Comment 13 Markas Rapoportas 2013-08-22 06:38:15 EDT
Created attachment 789128 [details]
Xorg.0.log.pre
Comment 14 Markas Rapoportas 2013-08-22 06:41:32 EDT
Created attachment 789130 [details]
Xorg.0.log.post
Comment 15 Markas Rapoportas 2013-08-22 06:43:17 EDT
Created attachment 789133 [details]
udevadminfo.pre.event5
Comment 16 Markas Rapoportas 2013-08-22 06:44:13 EDT
Created attachment 789134 [details]
udevadminfo.post.event5
Comment 17 Markas Rapoportas 2013-08-22 06:44:50 EDT
Created attachment 789135 [details]
udevadminfo.post.event10
Comment 18 Markas Rapoportas 2013-08-22 06:45:42 EDT
Created attachment 789136 [details]
Xorg.0.log.event5synapticspair
Comment 19 Markas Rapoportas 2013-08-22 06:46:18 EDT
Created attachment 789138 [details]
Xorg.0.log.post.event10ignored
Comment 20 Josh Boyer 2013-09-18 16:52:58 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 21 Frederic LIETART 2013-09-19 16:04:38 EDT
hello,

Yes the problem is still present with the system update

Thx
Comment 22 Markas Rapoportas 2013-09-20 02:17:08 EDT
Will try the new kernel once yum picks up the update. For some reason it
hasn't yet.
Comment 23 Markas Rapoportas 2013-09-20 13:40:46 EDT
I concur with Frederic, there is still an issue.
Comment 24 Markas Rapoportas 2013-09-20 14:37:39 EDT
Created attachment 800608 [details]
3.11.1-200.fc19.x86_64.tar.gz

See comment 8 for details. event5section.conf and event10section.conf form
my touchpad configuration nowadays, with stock rules disabled. However,
stock configuration was used for all but two data points,
Xorg.0.log.event5synapticspair and Xorg.0.log.post.event10ignored.
Comment 25 Frederic LIETART 2013-09-21 09:12:07 EDT
I have the same problem in ArchLinux since the updates of linux-3.11.1-1 and systemd-207.

There were other updates but I can not remember ...
Comment 26 Frederic LIETART 2013-09-24 16:28:40 EDT
Hello,

We finally no problem in ArchLinux, I had a moment of madness.

I still have the problem today with the latest updates. What do you need? Problem still present in Fedora 20 also ...
Comment 27 Frederic LIETART 2013-11-27 16:18:29 EST
Hello,

I still encounter the same problem with the kernel-3.11.9-300.fc20.x86_64 Strange to but I have no problem with the kernel-3.11.9-300.fc20.x86_64+debug

Thx
Comment 28 Markas Rapoportas 2014-01-06 13:26:05 EST
Still the case in Fedora 20 at least up to kernel-3.12.6-300.fc20. As
before, until I suspend, there is only one mouse device (in my case
/dev/input/event5) on the input bus, and it has ID_INPUT_MOUSE=1 rather
than ID_INPUT_TOUCHPAD=1 in udevadm. And still, once I return from
suspend, an additional device appears (in my case /dev/input/even10), and
this is what synaptics connects to automatically. The second device has
ID_INPUT_TOUCHPAD=1. I would be happy to supply additional information if
required.
Comment 29 Justin Clift 2014-01-29 13:26:34 EST
Hi Frederic & Markas,

Would you have time to try out a much newer release kernel than is in F19, just to see if the touchpad is recognised correctly?

Something like this maybe:

  http://koji.fedoraproject.org/koji/buildinfo?buildID=494687

You can install that kernel (and any Fedora 20, 21, etc kernels) on F19 without causing problems. :)

Asking because a fair amount of work by the official ALPS driver writers was done recently, and made it's way into Linux kernel 3.13.  So, checking if 3.13 (or anything later) works would be good.

If that doesn't help, lets see if the ALPS coders would be interested in looking at this. :)

+ Justin
Comment 30 Markas Rapoportas 2014-01-30 06:02:38 EST
Hi Justin, many thanks for your interest.

I have installed kernel-3.14.0-0.rc0.git15.1.fc21.x86_64 - not even
Michael Larabel benchmarks this early into the cycle! - from your link,
and my findings are as follows. The system starts with "ALPS PS/2 Device"
and "AlpsPS/2 ALPS GlidePoint", located at /dev/input/event4 and
/dev/input/event5, respectively. The Xorg evdev driver is loaded for the
first, while event5 is paired with synaptics. Both are seemingly active,
but in practice event4 is not, so only the synaptics device matters. This
redundancy is not new behaviour (for me). The good news is that scrolling
is now available. Having said that, both vertical and horizontal scrolling
is much less smooth, although this may well be due to changes to places
other than ALPS code, as my desktop is noticeably slower in general on
this kernel. Scrolling is painful even when dragging a scroll bar in a
window.
Comment 31 Josh Boyer 2014-01-30 08:47:57 EST
The desktop is going to be slow because we have debugging options enabled in the rawhide kernels.  Use the builds from the nodebug repo if you would like to get a better idea of how things work.
Comment 32 Justin Clift 2014-01-30 09:27:07 EST
Interesting. :)

It sounds like the ALPS touchpad itself is being picked up correctly by the kernel layer, which is progress.

Personally I have no clue atm with Xorg stuff, so I'm not sure what to do there. :/

From what Josh said for the speed thing, it sounds like you need a version of the 3.13 (or later) kernel without debugging options enabled.  There doesn't seem to be one in the koji kernel package list:

  http://koji.fedoraproject.org/koji/packageinfo?packageID=8

So I'm guessing you'll need to build one yourself, or I guess I can do one for you. :)

If you're able to make one yourself though, that would be a lot faster as I'm going to be at FOSDEM and similar places overseas through until Fri next week (7th Feb).  No idea if I'd be able to get it figured out and done by then.
Comment 33 Markas Rapoportas 2014-02-03 01:21:44 EST
Good news, gentlemen. Running 3.14.0-0.rc0.git15.2.fc21.x86_64 from
fedora-rawhide-kernel-nodebug [1], I can confirm the rough scrolling was
in fact connected to debugging options being enabled. With said kernel,
scrolling is available and smooth. Looking forward to the stable update
; ] Many thanks to Justin and Josh.

[1] https://fedoraproject.org/wiki/RawhideKernelNodebug
Comment 34 Justin M. Forbes 2014-02-24 08:59:09 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 35 Frederic LIETART 2014-02-26 13:29:03 EST
Hi,

same problem with the kernel 3.13.4-200.fc20.x86_64
Comment 36 Markas Rapoportas 2014-05-04 08:34:49 EDT
Regarding comment 33, it seems I spoke too soon. I recently updated my
kernel from 3.13.10-200.fc20.x86_64 to 3.14.2-200.fc20.x86_64, and the
touchpad issue is still there : [ The symptoms appear to be the same as
before. How come 3.14.0-0.rc0.git15.2.fc21.x86_64 worked and
3.14.2-200.fc20.x86_64 does not?
Comment 37 Markas Rapoportas 2014-05-06 04:59:07 EDT
This may be important. The touchpad is immediately recognised as a
touchpad (rather than a mouse) when trying the 64-bit Xfce live image of
Fedora 20. The kernel on the live image is version
3.11.10-301.fc20.x86_64. I have seen this before with some other Fedora
live image(s). If I recall correctly, the trouble is that once you install
a system, the issue returns.
Comment 38 Justin M. Forbes 2014-05-21 15:39:44 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 39 Justin M. Forbes 2014-06-23 10:49:36 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.